Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.saml
Interface SAMLUsedAssertionCache

    public interface SAMLUsedAssertionCache

`SAMLUsedAssertionCache` defines an interface for storing and checking information about consumed SAML assertions so that a one-use policy for assertions can be enforced.

Classes implementing this interface must have a public no-arg constructor and must be in the system classpath.

Method Summary
`boolean` | `cacheAssertion(String assertionId, String issuer, long expire)` Cache the Assertion ID and Issuer of a consumed assertion.
`void` | `flushCache()` Flush all cache entries.
`boolean` | `initCache(Properties props)` Initialize the cache.
`void` | `releaseCache()` Release the cache.

Method Detail

### initCache

    boolean initCache(Properties props)

  Initialize the cache. Although the cache will normally be instantiated and initialized only once, at server start time, an implementation should be robust in the face of multiple instantiations and multiple calls to init and release.

  Parameters:
    `props` - A `Properties` object containing properties the cache needs to initialize. Can be empty or null.
  Returns:
    True if initialization succeeded, false otherwise.

### releaseCache

    void releaseCache()

  Release the cache. Not guaranteed to be called at server shutdown. Although the cache will normally be instantiated and initialized only once, at server start time, an implementation should be robust in the face of multiple instantiations and multiple calls to init and release.

### flushCache

    void flushCache()

  Flush all cache entries.

### cacheAssertion

    boolean cacheAssertion(String assertionId,
                           String issuer,
                           long expire)

  Cache the Assertion ID and Issuer of a consumed assertion. This method must return false if this ID/Issuer combination has already been cached -- i.e., the one-use policy has failed for the referenced assertion. Otherwise, must cache the ID/Issuer and return true.

  Parameters:
    `assertionId` - The Assertion ID of the to-be-cached assertion.
    `issuer` - The Issuer of the to-be-cached assertion.
    `expire` - The NotOnOrAfter time of the to-be-cached assertion. After this time, the cache entry may be discarded, as the assertion is no longer valid and hence cannot be re-used.
  Returns:
    True if the referenced assertion was successfully cached. False if the referenced assertion was already in cache.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD